Package org.eclipse.compare.internal

# Interface ICompareContextIds

public interface ICompareContextIds
Help context ids for the Compare UI.

This interface contains constants only; it is not intended to be implemented or extended.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADD_FROM_HISTORY_DIALOG`
`static final String`
`BINARY_COMPARE_VIEW`
`static final String`
`COMPARE_DIALOG`
`static final String`
`COMPARE_EDITOR`
`static final String`
`COMPARE_PREFERENCE_PAGE`
`static final String`
`COMPARE_WITH_EDITION_DIALOG`
`static final String`
`DIFF_VIEW`
`static final String`
`EDITION_DIALOG`
`static final String`
`GLOBAL_NEXT_DIFF_ACTION`
`static final String`
`GLOBAL_PREVIOUS_DIFF_ACTION`
`static final String`
`IGNORE_WHITESPACE_ACTION`
`static final String`
`IMAGE_COMPARE_VIEW`
`static final String`
`NEXT_DIFF_ACTION`
`static final String`
`PATCH_INPUT_WIZARD_PAGE`
`static final String`
`PATCH_PREVIEW_WIZARD_PAGE`
`static final String`
`PREFIX`
`static final String`
`PREVIOUS_DIFF_ACTION`
`static final String`
`REPLACE_WITH_EDITION_DIALOG`
`static final String`
`TEXT_MERGE_VIEW`

## Field Details

### PREFIX

static final String PREFIX

See Also:
  - Constant Field Values

### EDITION_DIALOG

static final String EDITION_DIALOG

See Also:
  - Constant Field Values

### COMPARE_EDITOR

static final String COMPARE_EDITOR

See Also:
  - Constant Field Values

### PATCH_INPUT_WIZARD_PAGE

static final String PATCH_INPUT_WIZARD_PAGE

See Also:
  - Constant Field Values

### PATCH_PREVIEW_WIZARD_PAGE

static final String PATCH_PREVIEW_WIZARD_PAGE

See Also:
  - Constant Field Values

### ADD_FROM_HISTORY_DIALOG

static final String ADD_FROM_HISTORY_DIALOG

See Also:
  - Constant Field Values

### COMPARE_DIALOG

static final String COMPARE_DIALOG

See Also:
  - Constant Field Values

### COMPARE_WITH_EDITION_DIALOG

static final String COMPARE_WITH_EDITION_DIALOG

See Also:
  - Constant Field Values

### REPLACE_WITH_EDITION_DIALOG

static final String REPLACE_WITH_EDITION_DIALOG

See Also:
  - Constant Field Values

### TEXT_MERGE_VIEW

static final String TEXT_MERGE_VIEW

See Also:
  - Constant Field Values

### IMAGE_COMPARE_VIEW

static final String IMAGE_COMPARE_VIEW

See Also:
  - Constant Field Values

### BINARY_COMPARE_VIEW

static final String BINARY_COMPARE_VIEW

See Also:
  - Constant Field Values

### DIFF_VIEW

static final String DIFF_VIEW

See Also:
  - Constant Field Values

### GLOBAL_NEXT_DIFF_ACTION

static final String GLOBAL_NEXT_DIFF_ACTION

See Also:
  - Constant Field Values

### GLOBAL_PREVIOUS_DIFF_ACTION

static final String GLOBAL_PREVIOUS_DIFF_ACTION

See Also:
  - Constant Field Values

### NEXT_DIFF_ACTION

static final String NEXT_DIFF_ACTION

See Also:
  - Constant Field Values

### PREVIOUS_DIFF_ACTION

static final String PREVIOUS_DIFF_ACTION

See Also:
  - Constant Field Values

### IGNORE_WHITESPACE_ACTION

static final String IGNORE_WHITESPACE_ACTION

See Also:
  - Constant Field Values

### COMPARE_PREFERENCE_PAGE

static final String COMPARE_PREFERENCE_PAGE

See Also:
  - Constant Field Values